Bug 652205 - yum-plugin-auto-update-debug-info is too talkative.
yum-plugin-auto-update-debug-info is too talkative.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
16
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 06:21 EST by Matěj Cepl
Modified: 2014-01-21 18:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:45:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (877 bytes, patch)
2010-11-11 06:21 EST, Matěj Cepl
no flags Details | Diff
another one (2.05 KB, patch)
2010-11-13 14:44 EST, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2010-11-11 06:21:40 EST
Created attachment 459721 [details]
proposed patch

Description of problem:
%subj% .. when I have debuglevel=2 (default?) then I have tons of information from the plugin which I am completely not interested in.

Would something like the attached patch made the output slightly more sane?

Version-Release number of selected component (if applicable):
yum-3.2.28-5.fc14.noarch
yum-plugin-auto-update-debug-info-1.1.28-1.fc14.noarch

How reproducible:
10%%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James Antill 2010-11-12 12:24:34 EST
I'm not 100% it's a good idea to remove the first message, by default ... but I've done both, and added some caching upstream:

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=acd713e603ab79ce4045aef2f14be362c526e105
Comment 2 Matěj Cepl 2010-11-13 14:44:23 EST
Created attachment 460265 [details]
another one

Actually, could I ask for one more? fastestmirror plugin even with verbose=0 prints quite a litany IMHO. Could we get rid of this list?

 * fedora: mirror.ovh.net
 * fedora-debuginfo: mirror.ovh.net
 * livna: rpm.livna.org
 * livna-debuginfo: rpm.livna.org
 * rpmfusion-free: mirror01.th.ifl.net
 * rpmfusion-free-debuginfo: mirror01.th.ifl.net
 * rpmfusion-free-updates: mirror01.th.ifl.net
 * rpmfusion-free-updates-debuginfo: mirror01.th.ifl.net
 * rpmfusion-nonfree: mirror01.th.ifl.net
 * rpmfusion-nonfree-debuginfo: mirror01.th.ifl.net
 * rpmfusion-nonfree-updates: mirror01.th.ifl.net
 * rpmfusion-nonfree-updates-debuginfo: mirror01.th.ifl.net
 * updates: ftp.wsisiz.edu.pl
 * updates-debuginfo: ftp.wsisiz.edu.pl
 * updates-testing: ftp.wsisiz.edu.pl
 * updates-testing-debuginfo: ftp.wsisiz.edu.pl

Not sure whether I haven't overdone it again, but certainly this list could go.
Comment 3 Fedora End Of Life 2013-01-16 20:23:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 21:45:25 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.